/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 4; tab-width: 4 -*- */
/*
 * get_nil_flen.c (MXcleaner)
 * Copyright (C) Elmar Haag 2018 <linux@c5ace.com>
 *
 * MXcleaner is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * MXcleaner is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "MXcleaner.h"
#include "disp.h"

extern dirstruct *a;
extern pathstruct *p;
extern char *ndb;
extern int cfg[];
extern int mx_flag;
extern int nil_flag;
extern int nil_rec_no;

int get_nil_flen(int);


int get_nil_flen(int rec_no)
{
    int i = 0;
    char *fname = NULL;

    nil_rec_no = 0;
    print(MSG_221);
    if (cfg[VERB] == TRUE)
    {
        if (nil_flag == TRUE)
            print(MSG_222);
        else
            print(MSG_223);
    }

    for (i = 0; i < rec_no; i++)
    {
        if ( (a[i].flag != INC)
                && (a[i].flen == 0) )
        {
            a[i].flag = NIL;
            if (cfg[VERB] == TRUE)
            {
                if (strncmp(a[i].fname, ndb, strlen(ndb)) == 0)
                    fname = &a[i].fname[strlen(ndb)];
                else
                    fname = &a[i].fname[0];

                print(" %6d %12lld   %s%6d %s%s\n",
                      a[i].rec_no,
                      a[i].flen,
                      fl[a[i].flag],
                      nil_rec_no,
                      p[a[i].path_no].path,
                      fname);
            }
            nil_rec_no++;
        }
    }

    print(MSG_224, nil_rec_no, rec_no);

    return (nil_rec_no);
}



