/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 4; tab-width: 4 -*- */
/*
 * read_file.c (MXcleaner)
 * Copyright (C) Elmar Haag 2018 <linux@c5ace.com>
 *
 * cleaner is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * cleaner is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "MXcleaner.h"
#include <unistd.h>


int read_file(int, void *, int);


int read_file(int fh, void *buf, int bs)
{
    int ret = 0;
    int i;

    for(i = 0; i <= 3; i++)
    {
        ret = read(fh, buf, bs);
        if (ret == bs)
        {
            i = 3;
            ret = 0;
            break;
        }
        else
        {
            close(fh);
            ret = -3;
        }
    }
    return (ret);
}
