/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 4; tab-width: 4 -*- */
/*
 * strip_files.c (MXcleaner)
 * Copyright (C) Elmar Haag 2018 <linux@c5ace.com>
 *
 * MXcleaner is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * MXcleaner is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "MXcleaner.h"
#include "disp.h"
#include <unistd.h>

// extern char *path;
// extern int path_no;
// extern int path_no;
int strip_files(char *);
int fill_p(char *);


int strip_files(char *spath)
{
    int acc = 0;
    int ret = 0;
    int ctn = 0;
    int spath_no = 0;

    pt = getcwd(tmp, _FULL_PATH);
//    strcpy_s(path, _FULL_PATH, spath);
    ret = chdir(spath);

    if (ret != 0)
    {
        acc = 0;
        acc = access(spath, W_OK);
        if (acc == 0)
        {
            for (ctn = strlen(spath); ctn > 0 ; ctn--)
            {
                if (spath[ctn] == SLASH)
                {
                    break;
                }
            }
            spath[ctn + 1] = '\0';
            ret = 0;
        }
    }

    if (ret == 0)
    {
        ret = fill_p(spath);
    }

    ret = chdir(tmp);

    if (spath_no == 0)
    {
        ret = fill_p(spath);
    }

    return spath_no;
}
