/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 4; tab-width: 4 -*- */
/*
 * show_options.c (MXcleaner)
 * Copyright (C) Elmar Haag 2018 <linux@c5ace.com>
 *
 * MXcleaner is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * MXcleaner is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "MXcleaner.h"
#include <getopt.h>
#include "disp.h"

extern int cfg[];
extern struct option long_options[];

void show_options(void);


void show_options(void)
{
    int i = 0;

    print(MSG_131);

    for(i = 0; i < 11; i++)
    {
        if (i == PCT)
        {
            print("-%c --%s\t = %d\n",
                  long_options[i].val, long_options[i].name, cfg[i]);
        }
        else if (cfg[i] == FALSE)
        {
            print("-%c --%s\t = false\n",
                  long_options[i].val, long_options[i].name);
        }
        else if (cfg[i] == TRUE)
        {
            print("-%c --%s\t = true\n",
                  long_options[i].val, long_options[i].name);
        }
    }
    print("\n");
}
