/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 4; tab-width: 4 -*- */
/*
 * strrstr.c
 * Copyright (C) Elmar Haag 2018 <linux@c5ace.com>
 *
 * MXcleaner is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * MXcleaner is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "MXcleaner.h"
#include <string.h>

int strrstr(char *, char *);


int strrstr(char *s1, char *s2)
{
    int ret = 0;
    int s1len = 0;
    int s2len = 0;
    int tmplen = 0;

    s1len = strlen(s1);
    s2len = strlen(s2);

    if (s1len >= s2len)
    {
        tmplen = s1len - s2len;
    }
    else
    {
        return (-1);
    }

    ret = strcmp(&s1[tmplen], s2);
    if (ret == 0)
        ret = TRUE;
    else
        ret = FALSE;

    return (ret);
}
